source: configure @ c775a58

Last change on this file since c775a58 was c775a58, checked in by Wilmer van der Gaast <wilmer@…>, at 2010-12-07T23:41:49Z

At least don't disable Twitter anymore for libpurple builds. libpurple
doesn't have Twitter support by default and it's unlikely that someone will
prefer libpurple-twitter over BitlBee's Twitter code anyway.

Also automatically disable libpurple protocol modules if a native variant is
already set up. The linking conflict works the other way around (libpurple
modules may break if native modules for the same protocol are compiled in)
so this should mostly resolve the linking conflict problem.

  • Property mode set to 100755
File size: 17.8 KB
Line 
1#!/bin/sh
2
3##############################
4##  Configurer for BitlBee  ##
5##                          ##
6##  Copyright 2004 Lintux   ##
7##  Copyright 2002 Lucumo   ##
8##############################
9
10prefix='/usr/local/'
11bindir='$prefix/sbin/'
12etcdir='$prefix/etc/bitlbee/'
13mandir='$prefix/share/man/'
14datadir='$prefix/share/bitlbee/'
15config='/var/lib/bitlbee/'
16plugindir='$prefix/lib/bitlbee/'
17includedir='$prefix/include/bitlbee/'
18libevent='/usr/'
19pidfile='/var/run/bitlbee.pid'
20ipcsocket='/var/run/bitlbee.sock'
21pcdir='$prefix/lib/pkgconfig'
22systemlibdirs="/lib /lib64 /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64"
23
24msn=1
25jabber=1
26oscar=1
27yahoo=1
28twitter=1
29twitter=1
30purple=0
31
32debug=0
33strip=1
34gcov=0
35plugins=1
36otr=0
37
38events=glib
39ldap=0
40ssl=auto
41
42arch=`uname -s`
43cpu=`uname -m`
44
45GLIB_MIN_VERSION=2.4
46
47echo BitlBee configure
48
49while [ -n "$1" ]; do
50        e="`expr "X$1" : 'X--\(.*=.*\)'`"
51        if [ -z "$e" ]; then
52                cat<<EOF
53
54Usage: $0 [OPTIONS]
55
56Option          Description                             Default
57
58--prefix=...    Directories to put files in             $prefix
59--bindir=...                                            $bindir
60--etcdir=...                                            $etcdir
61--mandir=...                                            $mandir
62--datadir=...                                           $datadir
63--plugindir=...                                         $plugindir
64--pidfile=...                                           $pidfile
65--config=...                                            $config
66--ipcsocket=...                                         $ipcsocket
67
68--msn=0/1       Disable/enable MSN part                 $msn
69--jabber=0/1    Disable/enable Jabber part              $jabber
70--oscar=0/1     Disable/enable Oscar part (ICQ, AIM)    $oscar
71--yahoo=0/1     Disable/enable Yahoo part               $yahoo
72--twitter=0/1   Disable/enable Twitter part             $twitter
73
74--purple=0/1    Disable/enable libpurple support        $purple
75                (automatically disables other protocol modules)
76
77--debug=0/1     Disable/enable debugging                $debug
78--strip=0/1     Disable/enable binary stripping         $strip
79--gcov=0/1      Disable/enable test coverage reporting  $gcov
80--plugins=0/1   Disable/enable plugins support          $plugins
81--otr=0/1/auto/plugin
82                Disable/enable OTR encryption support   $otr
83
84--events=...    Event handler (glib, libevent)          $events
85--ssl=...       SSL library to use (gnutls, nss, openssl, bogus, auto)
86                                                        $ssl
87
88--target=...    Cross compilation target                same as host
89EOF
90                exit;
91        fi
92        eval "$e"
93        shift;
94done
95
96# Expand $prefix and get rid of double slashes
97bindir=`eval echo "$bindir/" | sed 's/\/\{1,\}/\//g'`
98etcdir=`eval echo "$etcdir/" | sed 's/\/\{1,\}/\//g'`
99mandir=`eval echo "$mandir/" | sed 's/\/\{1,\}/\//g'`
100datadir=`eval echo "$datadir/" | sed 's/\/\{1,\}/\//g'`
101config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
102plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
103includedir=`eval echo "$includedir"/ | sed 's/\/\{1,\}/\//g'`
104libevent=`eval echo "$libevent"/ | sed 's/\/\{1,\}/\//g'`
105
106pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
107ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
108pcdir=`eval echo "$pcdir" | sed 's/\/\{1,\}/\//g'`
109
110cat<<EOF>Makefile.settings
111## BitlBee settings, generated by configure
112PREFIX=$prefix
113BINDIR=$bindir
114ETCDIR=$etcdir
115MANDIR=$mandir
116DATADIR=$datadir
117PLUGINDIR=$plugindir
118CONFIG=$config
119INCLUDEDIR=$includedir
120PCDIR=$pcdir
121
122TARGET=$target
123ARCH=$arch
124CPU=$cpu
125
126DESTDIR=
127LFLAGS=
128EFLAGS=
129EOF
130
131srcdir=$(cd $(dirname $0);pwd)
132currdir=$(pwd)
133if [ "$srcdir" != "$currdir" ]; then 
134        echo
135        echo "configure script run from a different directory. Will create some symlinks..."
136        if [ ! -e Makefile -o -L Makefile ]; then
137                COPYDIRS="doc lib protocols tests utils"
138                mkdir -p $(cd "$srcdir"; find $COPYDIRS -type d)
139                find . -name Makefile -type l -print0 | xargs -0 rm 2> /dev/null
140                dst="$PWD"
141                cd "$srcdir"
142                for i in $(find . -name Makefile -type f); do
143                        ln -s "$PWD${i#.}" "$dst/$i";
144                done
145                cd "$dst"
146                rm -rf .bzr
147        fi
148       
149        echo "SRCDIR=$srcdir/" >> Makefile.settings
150        CFLAGS="$CFLAGS -I${dst}"
151else
152        srcdir=$PWD
153fi
154
155cat<<EOF>config.h
156/* BitlBee settings, generated by configure
157   
158   Do *NOT* use any of these defines in your code without thinking twice, most
159   of them can/will be overridden at run-time */
160
161#define CONFIG "$config"
162#define ETCDIR "$etcdir"
163#define VARDIR "$datadir"
164#define PLUGINDIR "$plugindir"
165#define PIDFILE "$pidfile"
166#define IPCSOCKET "$ipcsocket"
167#define ARCH "$arch"
168#define CPU "$cpu"
169EOF
170
171
172
173if [ -n "$target" ]; then
174        PKG_CONFIG_LIBDIR=/usr/$target/lib/pkgconfig
175        export PKG_CONFIG_LIBDIR
176        PATH=/usr/$target/bin:$PATH
177        CC=$target-cc
178        LD=$target-ld
179        systemlibdirs="/usr/$target/lib"
180fi
181
182
183if [ "$debug" = "1" ]; then
184        [ -z "$CFLAGS" ] && CFLAGS=-g
185        echo 'DEBUG=1' >> Makefile.settings
186        CFLAGS="$CFLAGS -DDEBUG"
187else
188        [ -z "$CFLAGS" ] && CFLAGS="-O2 -fno-strict-aliasing"
189fi
190
191echo CFLAGS=$CFLAGS $CPPFLAGS >> Makefile.settings
192echo CFLAGS+=-I${srcdir} -I${srcdir}/lib -I${srcdir}/protocols -I. >> Makefile.settings
193
194echo CFLAGS+=-DHAVE_CONFIG_H >> Makefile.settings
195
196if [ -n "$CC" ]; then
197        CC=$CC
198elif type gcc > /dev/null 2> /dev/null; then
199        CC=gcc
200elif type cc > /dev/null 2> /dev/null; then
201        CC=cc
202else
203        echo 'Cannot find a C compiler, aborting.'
204        exit 1;
205fi
206
207echo "CC=$CC" >> Makefile.settings;
208if echo $CC | grep -qw gcc; then
209        # Apparently -Wall is gcc-specific?
210        echo CFLAGS+=-Wall >> Makefile.settings
211fi
212
213if [ -z "$LD" ]; then
214        if type ld > /dev/null 2> /dev/null; then
215                LD=ld
216        else
217                echo 'Cannot find ld, aborting.'
218                exit 1;
219        fi
220fi
221
222echo "LD=$LD" >> Makefile.settings
223
224if [ -z "$PKG_CONFIG" ]; then
225        PKG_CONFIG=pkg-config
226fi
227
228if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG glib-2.0; then
229        if $PKG_CONFIG glib-2.0 --atleast-version=$GLIB_MIN_VERSION; then
230                cat<<EOF>>Makefile.settings
231EFLAGS+=`$PKG_CONFIG --libs glib-2.0 gmodule-2.0`
232CFLAGS+=`$PKG_CONFIG --cflags glib-2.0 gmodule-2.0`
233EOF
234        else
235                echo
236                echo 'Found glib2 '`$PKG_CONFIG glib-2.0 --modversion`', but version '$GLIB_MIN_VERSION' or newer is required.'
237                exit 1
238        fi
239else
240        echo
241        echo 'Cannot find glib2 development libraries, aborting. (Install libglib2-dev?)'
242        exit 1
243fi
244
245if [ "$events" = "libevent" ]; then
246        if ! [ -f "${libevent}include/event.h" ]; then
247                echo
248                echo 'Warning: Could not find event.h, you might have to install it and/or specify'
249                echo 'its location using the --libevent= argument. (Example: If event.h is in'
250                echo '/usr/local/include and binaries are in /usr/local/lib: --libevent=/usr/local)'
251        fi
252       
253        echo '#define EVENTS_LIBEVENT' >> config.h
254        cat <<EOF>>Makefile.settings
255EFLAGS+=-levent -L${libevent}lib
256CFLAGS+=-I${libevent}include
257EOF
258elif [ "$events" = "glib" ]; then
259        ## We already use glib anyway, so this is all we need (and in fact not even this, but just to be sure...):
260        echo '#define EVENTS_GLIB' >> config.h
261else
262        echo
263        echo 'ERROR: Unknown event handler specified.'
264        exit 1
265fi
266echo 'EVENT_HANDLER=events_'$events'.o' >> Makefile.settings
267
268detect_gnutls()
269{
270        if $PKG_CONFIG --exists gnutls; then
271                cat <<EOF>>Makefile.settings
272EFLAGS+=`$PKG_CONFIG --libs gnutls` `libgcrypt-config --libs`
273CFLAGS+=`$PKG_CONFIG --cflags gnutls` `libgcrypt-config --cflags`
274EOF
275                ssl=gnutls
276                ret=1
277        elif libgnutls-config --version > /dev/null 2> /dev/null; then
278                cat <<EOF>>Makefile.settings
279EFLAGS+=`libgnutls-config --libs` `libgcrypt-config --libs`
280CFLAGS+=`libgnutls-config --cflags` `libgcrypt-config --cflags`
281EOF
282               
283                ssl=gnutls
284                ret=1;
285        else
286                ret=0;
287        fi;
288}
289
290detect_nss()
291{
292        if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG nss; then
293                cat<<EOF>>Makefile.settings
294EFLAGS+=`$PKG_CONFIG --libs nss`
295CFLAGS+=`$PKG_CONFIG --cflags nss`
296EOF
297               
298                ssl=nss
299                ret=1;
300        else
301                ret=0;
302        fi;
303}
304
305detect_ldap()
306{
307        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
308        if $CC -o $TMPFILE -shared -lldap 2>/dev/null >/dev/null; then
309                cat<<EOF>>Makefile.settings
310EFLAGS+=-lldap
311CFLAGS+=
312EOF
313                ldap=1
314                rm -f $TMPFILE
315                ret=1
316        else
317                ldap=0
318                ret=0
319        fi
320}
321
322RESOLV_TESTCODE='
323#include <arpa/nameser.h>
324#include <resolv.h>
325
326int main()
327{
328        ns_initparse( NULL, 0, NULL );
329        ns_parserr( NULL, ns_s_an, 0, NULL );
330}
331'
332
333detect_resolv_dynamic()
334{
335        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
336        ret=1
337        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -lresolv >/dev/null 2>/dev/null
338        if [ "$?" = "0" ]; then
339                echo 'EFLAGS+=-lresolv' >> Makefile.settings
340                ret=0
341        fi
342
343        rm -f $TMPFILE
344        return $ret
345}
346
347detect_resolv_static()
348{
349        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
350        ret=1
351        for i in $systemlibdirs; do
352                if [ -f $i/libresolv.a ]; then
353                        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -Wl,$i/libresolv.a >/dev/null 2>/dev/null
354                        if [ "$?" = "0" ]; then
355                                echo 'EFLAGS+='$i'/libresolv.a' >> Makefile.settings
356                                ret=0
357                        fi
358                fi
359        done
360
361        rm -f $TMPFILE
362        return $ret
363}
364
365if [ "$ssl" = "auto" ]; then
366        detect_gnutls
367        if [ "$ret" = "0" ]; then
368                detect_nss
369        fi
370elif [ "$ssl" = "gnutls" ]; then
371        detect_gnutls
372elif [ "$ssl" = "nss" ]; then
373        detect_nss
374elif [ "$ssl" = "sspi" ]; then
375        echo
376elif [ "$ssl" = "openssl" ]; then
377        echo
378        echo 'No detection code exists for OpenSSL. Make sure that you have a complete'
379        echo 'install of OpenSSL (including devel/header files) before reporting'
380        echo 'compilation problems.'
381        echo
382        echo 'Also, keep in mind that the OpenSSL is, according to some people, not'
383        echo 'completely GPL-compatible. Using GnuTLS or NSS is recommended and better'
384        echo 'supported by us. However, on many BSD machines, OpenSSL can be considered'
385        echo 'part of the operating system, which makes it GPL-compatible.'
386        echo
387        echo 'For more info, see: http://www.openssl.org/support/faq.html#LEGAL2'
388        echo '                    http://www.gnome.org/~markmc/openssl-and-the-gpl.html'
389        echo
390        echo 'Please note that distributing a BitlBee binary which links to OpenSSL is'
391        echo 'probably illegal. If you want to create and distribute a binary BitlBee'
392        echo 'package, you really should use GnuTLS or NSS instead.'
393        echo
394        echo 'Also, the OpenSSL license requires us to say this:'
395        echo ' *    "This product includes software developed by the OpenSSL Project'
396        echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
397       
398        echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
399       
400        ret=1
401elif [ "$ssl" = "bogus" ]; then
402        echo
403        echo 'Using bogus SSL code. This means some features will not work properly.'
404       
405        ## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
406        if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
407                echo
408                echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
409                msn=0
410                yahoo=0
411        fi
412       
413        ret=1
414else
415        echo
416        echo 'ERROR: Unknown SSL library specified.'
417        exit 1
418fi
419
420if [ "$ret" = "0" ]; then
421        echo
422        echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
423        echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
424        echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
425        echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
426       
427        exit 1
428fi;
429
430if [ "$msn" = "1" -a "$ssl" != "openssl" -a "$ssl" != "gnutls" ]; then
431        # Needed for MSN only. OpenSSL exports nice cipher functions already,
432        # in case of GnuTLS we should be able to use gcrypt. Otherwise, use
433        # built-in stuff. (Since right now those are the only two supported
434        # SSL modules anyway, this is mostly unnecessary.)
435        echo 'DES=des.o' >> Makefile.settings
436fi
437
438echo 'SSL_CLIENT=ssl_'$ssl'.o' >> Makefile.settings
439
440if detect_resolv_dynamic || detect_resolv_static; then
441        echo '#define HAVE_RESOLV_A' >> config.h
442fi
443
444STORAGES="xml"
445
446if [ "$ldap" = "auto" ]; then
447        detect_ldap
448fi
449
450if [ "$ldap" = 0 ]; then
451        echo "#undef WITH_LDAP" >> config.h
452elif [ "$ldap" = 1 ]; then
453        echo
454        echo 'LDAP support is a work in progress and does NOT work AT ALL right now.'
455        echo
456        exit 1
457       
458        echo "#define WITH_LDAP 1" >> config.h
459        STORAGES="$STORAGES ldap"
460fi
461
462for i in $STORAGES; do
463        STORAGE_OBJS="$STORAGE_OBJS storage_$i.o"
464done
465echo "STORAGE_OBJS="$STORAGE_OBJS >> Makefile.settings
466
467if [ "$strip" = 0 ]; then
468        echo "STRIP=\# skip strip" >> Makefile.settings;
469else
470        if [ "$debug" = 1 ]; then
471                echo
472                echo 'Stripping binaries does not make sense when debugging. Stripping disabled.'
473                echo 'STRIP=\# skip strip' >> Makefile.settings
474                strip=0;
475        elif [ -n "$STRIP" ]; then
476                echo "STRIP=$STRIP" >> Makefile.settings;
477        elif type strip > /dev/null 2> /dev/null; then
478                echo "STRIP=strip" >> Makefile.settings;
479        else
480                echo
481                echo 'No strip utility found, cannot remove unnecessary parts from executable.'
482                echo 'STRIP=\# skip strip' >> Makefile.settings
483                strip=0;
484        fi;
485fi
486
487if [ "$gcov" = "1" ]; then
488        echo "CFLAGS+=--coverage" >> Makefile.settings
489        echo "EFLAGS+=--coverage" >> Makefile.settings
490fi
491
492if [ "$plugins" = 0 ]; then
493        echo '#undef WITH_PLUGINS' >> config.h
494else
495        echo '#define WITH_PLUGINS' >> config.h
496fi
497
498otrprefix=""
499for i in / /usr /usr/local; do
500        if [ -f ${i}/lib/libotr.a ]; then
501                otrprefix=${i}
502                break
503        fi
504done
505if [ "$otr" = "auto" ]; then
506        if [ -n "$otrprefix" ]; then
507                otr=1
508        else
509                otr=0
510        fi
511fi
512if [ "$otr" = 1 ]; then
513        # BI == built-in
514        echo '#define OTR_BI' >> config.h
515        echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
516        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
517        echo 'OTR_BI=otr.o' >> Makefile.settings
518elif [ "$otr" = "plugin" ]; then
519        echo '#define OTR_PI' >> config.h
520        echo "OTRFLAGS=-L${otrprefix}/lib -lotr" >> Makefile.settings
521        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
522        echo 'OTR_PI=otr.so' >> Makefile.settings
523fi
524
525if [ ! -e doc/user-guide/help.txt ] && ! type xmlto > /dev/null 2> /dev/null; then
526        echo
527        echo 'WARNING: Building from an unreleased source tree without prebuilt helpfile.'
528        echo 'Install xmlto if you want online help to work.'
529fi
530
531echo
532if [ -z "$BITLBEE_VERSION" -a -d .bzr ] && type bzr > /dev/null 2> /dev/null; then
533        nick=`bzr nick`
534        if [ -n "$nick" -a "$nick" != "bitlbee" ]; then
535                nick="-$nick"
536        else
537                nick=""
538        fi
539        rev=`bzr revno`
540        echo 'Using bzr revision #'$rev' as version number'
541        BITLBEE_VERSION=\"bzr$nick-$rev\"
542fi
543
544if [ -n "$BITLBEE_VERSION" ]; then
545        echo 'Spoofing version number: '$BITLBEE_VERSION
546        echo '#undef BITLBEE_VERSION' >> config.h
547        echo '#define BITLBEE_VERSION '$BITLBEE_VERSION >> config.h
548        echo
549fi
550
551if ! make helloworld > /dev/null 2>&1; then
552        echo "WARNING: Your version of make (BSD make?) does not support BitlBee's makefiles."
553        echo "BitlBee needs GNU make to build properly. On most systems GNU make is available"
554        echo "under the name 'gmake'."
555        echo
556        if gmake helloworld > /dev/null 2>&1; then
557                echo "gmake seems to be available on your machine, great."
558                echo
559        else
560                echo "gmake is not installed (or not working). Please try to install it."
561                echo
562        fi
563fi
564
565cat <<EOF>bitlbee.pc
566prefix=$prefix
567includedir=$includedir
568
569Name: bitlbee
570Description: IRC to IM gateway
571Requires: glib-2.0
572Version: $BITLBEE_VERSION
573Libs:
574Cflags: -I\${includedir}
575
576EOF
577
578protocols=''
579protoobjs=''
580
581if [ "$purple" = 0 ]; then
582        echo '#undef WITH_PURPLE' >> config.h
583else
584        if ! $PKG_CONFIG purple; then
585                echo
586                echo 'Cannot find libpurple development libraries, aborting. (Install libpurple-dev?)'
587                exit 1
588        fi
589        echo '#define WITH_PURPLE' >> config.h
590        cat<<EOF>>Makefile.settings
591EFLAGS += $($PKG_CONFIG purple --libs)
592PURPLE_CFLAGS += $($PKG_CONFIG purple --cflags)
593EOF
594        protocols=$protocols'purple '
595        protoobjs=$protoobjs'purple_mod.o '
596
597        # Having both libpurple and native IM modules in one binary may
598        # do strange things. Let's not do that.
599        msn=0
600        jabber=0
601        oscar=0
602        yahoo=0
603       
604        if [ "$events" = "libevent" ]; then
605                echo 'Warning: Some libpurple modules (including msn-pecan) do their event handling'
606                echo 'outside libpurple, talking to GLib directly. At least for now the combination'
607                echo 'libpurple + libevent is *not* recommended!'
608                echo
609        fi
610fi
611
612case "$CC" in
613*gcc* )
614        echo CFLAGS+=-MD -MF .depend/\$@.d >> Makefile.settings
615        for i in . lib protocols protocols/*/; do
616                mkdir -p $i/.depend
617        done
618esac
619
620if [ "$msn" = 0 ]; then
621        echo '#undef WITH_MSN' >> config.h
622else
623        echo '#define WITH_MSN' >> config.h
624        protocols=$protocols'msn '
625        protoobjs=$protoobjs'msn_mod.o '
626fi
627
628if [ "$jabber" = 0 ]; then
629        echo '#undef WITH_JABBER' >> config.h
630else
631        echo '#define WITH_JABBER' >> config.h
632        protocols=$protocols'jabber '
633        protoobjs=$protoobjs'jabber_mod.o '
634fi
635
636if [ "$oscar" = 0 ]; then
637        echo '#undef WITH_OSCAR' >> config.h
638else
639        echo '#define WITH_OSCAR' >> config.h
640        protocols=$protocols'oscar '
641        protoobjs=$protoobjs'oscar_mod.o '
642fi
643
644if [ "$yahoo" = 0 ]; then
645        echo '#undef WITH_YAHOO' >> config.h
646else
647        echo '#define WITH_YAHOO' >> config.h
648        protocols=$protocols'yahoo '
649        protoobjs=$protoobjs'yahoo_mod.o '
650fi
651
652if [ "$twitter" = 0 ]; then
653        echo '#undef WITH_TWITTER' >> config.h
654else
655        echo '#define WITH_TWITTER' >> config.h
656        protocols=$protocols'twitter '
657        protoobjs=$protoobjs'twitter_mod.o '
658fi
659
660if [ "$protocols" = "PROTOCOLS = " ]; then
661        echo "Warning: You haven't selected any communication protocol to compile!"
662        echo "         BitlBee will run, but you will be unable to connect to IM servers!"
663fi
664
665echo "PROTOCOLS = $protocols" >> Makefile.settings
666echo "PROTOOBJS = $protoobjs" >> Makefile.settings
667
668echo Architecture: $arch
669case "$arch" in
670Linux )
671;;
672GNU/* )
673;;
674*BSD )
675;;
676Darwin )
677        echo 'STRIP=\# skip strip' >> Makefile.settings
678;;
679IRIX )
680;;
681SunOS )
682        echo 'EFLAGS+=-lresolv -lnsl -lsocket' >> Makefile.settings
683        echo 'STRIP=\# skip strip' >> Makefile.settings
684        echo '#define NO_FD_PASSING' >> config.h
685;;
686AIX )
687        echo 'EFLAGS+=-Wl,-brtl' >> Makefile.settings
688;;
689CYGWIN* )
690        echo 'Cygwin is not officially supported.'
691;;
692Windows )
693;;
694* )
695        echo 'We haven'\''t tested BitlBee on many platforms yet, yours is untested. YMMV.'
696        echo 'Please report any problems at http://bugs.bitlbee.org/.'
697;;
698esac
699
700if [ -n "$target" ]; then
701        echo "Cross-compiling for: $target"
702fi
703
704echo
705echo 'Configuration done:'
706
707if [ "$debug" = "1" ]; then
708        echo '  Debugging enabled.'
709else
710        echo '  Debugging disabled.'
711fi
712
713if [ "$strip" = "1" ]; then
714        echo '  Binary stripping enabled.'
715else
716        echo '  Binary stripping disabled.'
717fi
718
719if [ "$otr" = "1" ]; then
720        echo '  Off-the-Record (OTR) Messaging enabled.'
721elif [ "$otr" = "plugin" ]; then
722        echo '  Off-the-Record (OTR) Messaging enabled (as a plugin).'
723else
724        echo '  Off-the-Record (OTR) Messaging disabled.'
725fi
726
727echo '  Using event handler: '$events
728echo '  Using SSL library: '$ssl
729echo '  Building with these storage backends: '$STORAGES
730
731if [ -n "$protocols" ]; then
732        echo '  Building with these protocols:' $protocols
733else
734        echo '  Building without IM-protocol support. We wish you a lot of fun...'
735fi
Note: See TracBrowser for help on using the repository browser.